Summary:        A font family for Android
Name:           google-droid-fonts
Version:        20200215
Release:        7%{?dist}
License:        ASL 2.0
URL:            https://android.googlesource.com/

# note: you can get tarball by the following cmd
#   git clone https://android.googlesource.com/platform/frameworks/base.git --depth=1 --no-tags
#   cd base/data
#   tar -cvJf google-droid-fonts-$(date -u +%Y%m%d).tar.xz fonts
Source0:        %{name}-%{version}.tar.xz
Source1:        %{name}-sans-fontconfig.conf
Source2:        %{name}-sans-mono-fontconfig.conf
Source3:        %{name}-serif-fontconfig.conf
Source4:        %{name}-kufi-fontconfig.conf
Source5:        google-droid-sans.metainfo.xml
Source6:        google-droid-sans-mono.metainfo.xml
Source7:        google-droid-serif.metainfo.xml
Source8:        google-droid-kufi.metainfo.xml

BuildRequires:  fontpackages-devel

BuildArch:      noarch

%description
Droid is a font family, it was created by Ascender in 2007. It licensed the Open Handheld Alliance with an Apache
license. The Droid is designed for use on small screen devices, the designer is Steve Matteson, named after the Open
Handset Alliance's smart system Android.

%package        -n google-droid-sans-fonts
Summary:        A humanized font
Requires:       fontpackages-filesystem

%description    -n google-droid-sans-fonts
Droid Sans contains a subset of multiple text systems. The Chinese character subset and the Latin alphabet subset
are juxtaposed, but because the Latin alphabet is the most basic character and the characters are few, it is placed
in the main file, while the Chinese character is a single file, and the Japanese and other text systems also stand alone.

%package        -n google-droid-sans-mono-fonts
Summary:        A humanized font
Requires:       fontpackages-filesystem

%description    -n google-droid-sans-mono-fonts
Droid Sans Mono is a humanist font which contains a subset of multiple text systems.

%package        -n google-droid-serif-fonts
Summary:        A contemporary serif typeface
Requires:       fontpackages-filesystem
Provides:       google-droid-naskh-fonts = %{version}-%{release}

%description    -n google-droid-serif-fonts
Droid Serif is a contemporary serif typeface family designed for comfortable reading on screen. Droid Serif is slightly
condensed to maximize the amount of text displayed on small screens.

%package        -n google-droid-kufi-fonts
Summary:        An Arabic type designed for use in Google products such as Google ChromeOS and Android
Requires:       fontpackages-filesystem google-droid-kufi-fonts

%description    -n google-droid-kufi-fonts
Droid Arabic Kufi is an Arabic type designed for use in Google products. Designed to complement the Latin, Greek and Cyrillic
provided in the Droid Sans family, the Arabic matches the color, alignment and design detail of the Droid Sans allowing them
to be used together for multi-lingual typesetting.

%prep
%autosetup -n %{name}-%{version} -p1

%build

%install
rm -f %{buildroot}%{_fontdir}/DroidSansMono*ttf

mkdir -p %{buildroot}%{_fontdir}
chmod 755 %{buildroot}%{_fontdir}
install -m 0644 -p $(ls *ttf | grep -v DroidSansFallbackFull | grep -v DroidSansFallbackLegacy\
                    | grep -v DroidNaskh-Regular-SystemUI) %{buildroot}%{_fontdir}

mkdir -p %{buildroot}%{_fontconfig_templatedir}
mkdir -p %{buildroot}%{_fontconfig_confdir}
chmod 755 %{buildroot}%{_fontconfig_templatedir}
chmod 755 %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} %{buildroot}%{_fontconfig_templatedir}/65-google-droid-sans.conf
install -m 0644 -p %{SOURCE2} %{buildroot}%{_fontconfig_templatedir}/60-google-droid-sans-mono.conf
install -m 0644 -p %{SOURCE3} %{buildroot}%{_fontconfig_templatedir}/65-google-droid-serif.conf
install -m 0644 -p %{SOURCE4} %{buildroot}%{_fontconfig_templatedir}/65-google-droid-kufi.conf

for fontconf in 65-google-droid-sans.conf 60-google-droid-sans-mono.conf 65-google-droid-serif.conf \
                65-google-droid-kufi.conf ; do
  ln -s %{_fontconfig_templatedir}/$fontconf %{buildroot}%{_fontconfig_confdir}/$fontconf
done

mkdir -p %{buildroot}%{_datadir}/appdata

cp %{SOURCE5} %{buildroot}%{_datadir}/appdata/
cp %{SOURCE6} %{buildroot}%{_datadir}/appdata/
cp %{SOURCE7} %{buildroot}%{_datadir}/appdata/
cp %{SOURCE8} %{buildroot}%{_datadir}/appdata/

chmod 644 %{buildroot}%{_datadir}/appdata/google-droid-sans.metainfo.xml
chmod 644 %{buildroot}%{_datadir}/appdata/google-droid-sans-mono.metainfo.xml
chmod 644 %{buildroot}%{_datadir}/appdata/google-droid-serif.metainfo.xml
chmod 644 %{buildroot}%{_datadir}/appdata/google-droid-kufi.metainfo.xml

touch %{buildroot}%{_datadir}/appdata/google-droid-sans.metainfo.xml
touch %{buildroot}%{_datadir}/appdata/google-droid-sans-mono.metainfo.xml
touch %{buildroot}%{_datadir}/appdata/google-droid-serif.metainfo.xml
touch %{buildroot}%{_datadir}/appdata/google-droid-kufi.metainfo.xml

%files -n google-droid-sans-fonts
%doc README.txt NOTICE
%{_fontconfig_templatedir}/65-google-droid-sans.conf
%{_fontconfig_confdir}/65-google-droid-sans.conf
%{_fontbasedir}/google-droid-fonts/DroidSans*ttf
%{_datadir}/appdata/google-droid-sans.metainfo.xml

%files -n google-droid-sans-mono-fonts
%doc README.txt NOTICE
%{_fontconfig_templatedir}/60-google-droid-sans-mono.conf
%{_fontconfig_confdir}/60-google-droid-sans-mono.conf
%{_fontbasedir}/google-droid-fonts/DroidSansMono.ttf
%{_datadir}/appdata/google-droid-sans-mono.metainfo.xml

%files -n google-droid-serif-fonts
%doc README.txt NOTICE
%{_fontconfig_templatedir}/65-google-droid-serif.conf
%{_fontconfig_confdir}/65-google-droid-serif.conf
%{_fontbasedir}/google-droid-fonts/DroidSerif*ttf
%{_fontbasedir}/google-droid-fonts/DroidNaskh*ttf
%{_datadir}/appdata/google-droid-serif.metainfo.xml

%files -n google-droid-kufi-fonts
%{_fontconfig_templatedir}/65-google-droid-kufi.conf
%{_fontconfig_confdir}/65-google-droid-kufi.conf
%{_fontbasedir}/google-droid-fonts/DroidKufi*ttf
%{_datadir}/appdata/google-droid-kufi.metainfo.xml

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 20200215-7
- Rebuilt for loongarch release

* Wed Sep 13 2023 rockerzhu <rockerzhu@tencent.com> - 20200215-6
- Rebuilt for fontconfig to privode font(:lang=)

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 20200215-5
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 20200215-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 20200215-3
- Rebuilt for OpenCloudOS Stream 23

* Mon Feb 6 2023 Shuo Wang <abushwang@tencent.com> - 20200215-2
- update source0 note

* Wed Nov 30 2022 Shuo Wang <abushwang@tencent.com> - 20200215-1
- initial build
